Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shipping
Interface PackingList

public interface PackingList
extends Entity

A Packing list contains order, shipping method and shipping address. It is created by the ShippingManager. The client is responsible for creating the packing list and passing it to invoicing This class contains a reference to a customer in the form of a customerKey. It is a String to avoid the shipping system from depending on customer. The reference has to be the primary key of the customer. Is is the responsibility of the ShippingMethod to determine the cost of delivering the Items using its ShippingCostCalculationPolicy.

     Primary Key = theory.smart.ebusiness.shipping.PackingListPk

                      orderKey
     [PackingList] <*>------> [String] (Primary Key)

                      specialInstructions
     [PackingList] <*>------> [String]

                      shippingMethod
     [PackingList] <>------> [theory.smart.ebusiness.shipping.ShippingMethod]

                      order
     [PackingList] <>------> [theory.smart.ebusiness.order.Order]

                      shippingAddress
     [PackingList] <*>------> [theory.smart.axiom.contact.Address]

See Also:
  `PackingListPk`, `PackingListHome`, `PackingListImpl`, `PackingListValue`

Method Summary
`Customer` | `getCustomer()` Acquire a reference to the customer that is store in the Order that is associated with this PackingList
`Order` | `getOrder()` Get the remote object reference of order
`java.lang.String` | `getOrderKey()`
`PackingListValue` | `getPackingListByValue()` Get all of PackingList's attributes.
`Address` | `getShippingAddress()` Get the value of shippingAddress
`Price` | `getShippingCost()` Using the shipping method calculate the cost for shipping the order associated with this packinglist.
`ShippingMethod` | `getShippingMethod()` Get the remote object reference of shippingMethod
`java.lang.String` | `getSpecialInstructions()` Get the value of specialInstructions
`java.lang.String` | `getStatus()`
`void` | `setOrder(Order order)` Set the remote object reference of order
`void` | `setPackingListByValue(PackingListValue value)` Set all of PackingList's attributes to the passed in value.
`void` | `setShippingAddress(Address shippingAddress)` Set the value of shippingAddress
`void` | `setShippingMethod(ShippingMethod shippingMethod)` Set the remote object reference of shippingMethod
`void` | `setSpecialInstructions(java.lang.String specialInstructions)` Set the value of specialInstructions

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPackingListByValue

    public PackingListValue getPackingListByValue()
                                           throws java.rmi.RemoteException

  Get all of PackingList's attributes.
  Returns:
    PackingListValue the PackingList value object

### setPackingListByValue

    public void setPackingListByValue(PackingListValue value)
                               throws java.rmi.RemoteException

  Set all of PackingList's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `PackingListValue` - the PackingList value object

### getOrderKey

    public java.lang.String getOrderKey()
                                 throws java.rmi.RemoteException

### getSpecialInstructions

    public java.lang.String getSpecialInstructions()
                                            throws java.rmi.RemoteException

  Get the value of specialInstructions
  Returns:
    specialInstructions.

### setSpecialInstructions

    public void setSpecialInstructions(java.lang.String specialInstructions)
                                throws java.rmi.RemoteException

  Set the value of specialInstructions
  Parameters:
    `specialInstructionses` - specialInstructions to be added

### getShippingMethod

    public ShippingMethod getShippingMethod()
                                     throws java.rmi.RemoteException

  Get the remote object reference of shippingMethod
  Returns:
    shippingMethod.

### setShippingMethod

    public void setShippingMethod(ShippingMethod shippingMethod)
                           throws java.rmi.RemoteException

  Set the remote object reference of shippingMethod
  Parameters:
    `shippingMethods` - shippingMethod to be added

### getOrder

    public Order getOrder()
                   throws java.rmi.RemoteException

  Get the remote object reference of order
  Returns:
    order.

### setOrder

    public void setOrder(Order order)
                  throws java.rmi.RemoteException

  Set the remote object reference of order
  Parameters:
    `orders` - order to be added

### getShippingAddress

    public Address getShippingAddress()
                               throws java.rmi.RemoteException

  Get the value of shippingAddress
  Returns:
    shippingAddress.

### setShippingAddress

    public void setShippingAddress(Address shippingAddress)
                            throws java.rmi.RemoteException

  Set the value of shippingAddress
  Parameters:
    `shippingAddresses` - shippingAddress to be added

### getShippingCost

    public Price getShippingCost()
                          throws java.rmi.RemoteException

  Using the shipping method calculate the cost for shipping the order associated with this packinglist.

### getStatus

    public java.lang.String getStatus()
                               throws java.rmi.RemoteException

### getCustomer

    public Customer getCustomer()
                         throws java.rmi.RemoteException

  Acquire a reference to the customer that is store in the Order that is associated with this PackingList

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.